# ExtendedBot - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / ExtendedBot

# ExtendedBot

(common) `data class ExtendedBot : Bot` (source)

### Constructors

(common)

#### <init>

`ExtendedBot(id: ChatId, username: Username, firstName: String, lastName: String = "", canJoinGroups: Boolean = false, canReadAllGroupMessages: Boolean = false, supportsInlineQueries: Boolean = false)`

### Properties

(common)

#### canJoinGroups

`val canJoinGroups: Boolean`

(common)

#### canReadAllGroupMessages

`val canReadAllGroupMessages: Boolean`

(common)

#### firstName

`val firstName: String`

(common)

#### id

`val id: ChatId`

(common)

#### lastName

`val lastName: String`

(common)

#### supportsInlineQueries

`val supportsInlineQueries: Boolean`

(common)

#### username

`val username: Username`